package com.lightinit.hsdatashow.service.topic.water;

import com.lightinit.hsdatashow.entity.Region;
import com.lightinit.hsdatashow.entity.StWaterConsumer;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.topic.water.NameAndValueModel;
import com.lightinit.hsdatashow.model.topic.water.RegionAndConsumption;

import java.util.List;

public interface IWaterUserService {
    ResultState getWaterUser();

    List<RegionAndConsumption> getAreaWaterUser(String regionName);

    ResultState getWaterUserConstitute();
}
